@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,500;0,700;0,800;1,400&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Open Sans', sans-serif;
}

body {
  font-family: 'Open Sans', sans-serif;
}

.fonts {
  font-family: 'Open Sans', sans-serif;
}

html,
body {
  scrollbar-color: #91C2F6 rgb(240, 244, 247);
  scrollbar-width: thin;
}

::-webkit-scrollbar-button {
  width: 10px;
  height: 0px;
}

::-webkit-scrollbar-track {
  background-color: rgb(240, 244, 247);
}

::-webkit-scrollbar-thumb {
  -webkit-border-radius: 5px;
  border-radius: 5px;
  background-color: rgba(145, 194, 246, 0.2);
}

::-webkit-scrollbar-thumb:hover {
  background-color: #91C2F6;
}

::-webkit-resizer {
  width: 10px;
  height: 0px;
}

::-webkit-scrollbar {
  width: 10px;
}

.app_container {
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
  background: #ECE9E6;
  background: -webkit-linear-gradient(to bottom, #FFFFFF, #ECE9E6);
  background: linear-gradient(to bottom, #FFFFFF, #ECE9E6);
}

#qrCodeContainer {
  padding: 25px;
  border-radius: 15px;
  overflow: hidden;
  background: linear-gradient(to right, #e8cbc0, #636fa4);
}

#qrCodeContainer img {
  border-radius: 15px;
  filter: drop-shadow(2px 4px 15px rgba(0, 0, 0, 0.5));
}

.loader {
  display: flex;
  position: relative;
  background: transparent;
  align-items: center;
  justify-content: center;
}

.loader::after {
  content: "Зарузка...";
  position: absolute;
  color: #1e87f0;
  font-size: 14px;
  font-weight: bold;
  display: block;
}

.loader::before {
  content: "";
  display: block;
  position: absolute;
  border: 15px solid orange;
  border-radius: 50%;
  border-top: 15px solid #1e87f0;
  border-bottom: 15px solid #1e87f0;
  border-left: 15px solid #1e87f0;
  width: 100px;
  height: 100px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}


@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
